import request from "@/utils/request";

// 专家论文列表
export const paperList = (params) => {
  return request({
    url: "/app/expert/getPaperList",
    method: "GET",
    params,
  });
};
// 专家新增论文
export const insertCasPaper = (data) => {
  return request({
    url: "/app/expert/insertCasPaper",
    method: "POST",
    data,
  });
};

// 专家修改论文
export const updateCasPaper = (data) => {
  return request({
    url: "/app/expert/updateCasPaper",
    method: "PUT",
    data,
  });
};
// 专家删除论文
export const deleteCasPaper = (ids) => {
  return request({
    url: `/app/expert/paper/${ids}`,
    method: "DELETE",
  });
};

// 专家未认领专利列表
export const getNoBindPatentList = (params) => {
  return request({
    url: "/app/expert/getNoBindPatentList",
    method: "GET",
    params,
  });
};
// 专家认领专利
export const bindPatent = (params) => {
  return request({
    url: "/app/expert/bindPatent",
    method: "GET",
    params,
  });
};
